Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-json-stringify-safe
Version:        5.0.1
Release:        alt1_7
Summary:        JSON.stringify that handles circular references
License:        BSD
URL:            https://github.com/isaacs/json-stringify-safe
Source0:        https://registry.npmjs.org/json-stringify-safe/-/json-stringify-safe-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(must)
BuildRequires:  npm(sinon)
%endif
Source44: import.info

%description
This module provides functionality similar to JavaScript's JSON.stringify, but
it doesn't blow up when it encounters circular references.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/json-stringify-safe
cp -pr stringify.js package.json %{buildroot}%{nodejs_sitelib}/json-stringify-safe
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%__nodejs test.js
%endif

%files
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/json-stringify-safe


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 5.0.1-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_2
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_1
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 4.0.0-alt1_2
- initial import

